CREATE TABLE fnd_kf_cross_val_rules_ (
    ENTERPRISE_ID               NUMBER(18, 0) ,
    STRUCTURE_INSTANCE_ID       NUMBER(18, 0) ,
    RULE_CODE                   VARCHAR2(120) ,
    DESCRIPTION                 VARCHAR2(960) ,
    CONDITION_FILTER            XMLTYPE       ,
    VALIDATION_FILTER           XMLTYPE       ,
    ERROR_MSG_APPLICATION_ID    NUMBER(18, 0) ,
    ERROR_MSG_NAME              VARCHAR2(120) ,
    ENABLED_FLAG                VARCHAR2(4)   ,
    START_DATE_ACTIVE           DATE          ,
    END_DATE_ACTIVE             DATE          ,
    CREATION_DATE               TIMESTAMP(6)  ,
    CREATED_BY                  VARCHAR2(256) ,
    LAST_UPDATE_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY             VARCHAR2(256) ,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    AUDIT_ACTION_TYPE_          VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_       VARCHAR2(4000),
    AUDIT_IMPERSONATOR_         VARCHAR2(256) ,
    ENTERPRISE_ID               NUMBER(18, 0) ,
    STRUCTURE_INSTANCE_ID       NUMBER(18, 0) ,
    RULE_CODE                   VARCHAR2(120) ,
    DESCRIPTION                 VARCHAR2(960) ,
    ERROR_MSG_APPLICATION_ID    NUMBER(18, 0) ,
    ERROR_MSG_NAME              VARCHAR2(120) ,
    ENABLED_FLAG                VARCHAR2(4)   ,
    START_DATE_ACTIVE           DATE          ,
    END_DATE_ACTIVE             DATE          ,
    CREATION_DATE               TIMESTAMP(6)  ,
    CREATED_BY                  VARCHAR2(256) ,
    LAST_UPDATE_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY             VARCHAR2(256) ,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_          VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_       VARCHAR2(4000),
    SEED_DATA_SOURCE            VARCHAR2(2048),
    AUDIT_IMPERSONATOR_         VARCHAR2(256) ,
    CONDITION_FILTER            XMLTYPE       ,
    VALIDATION_FILTER           XMLTYPE       ,
    CONSTRAINT pk_fnd_kf_cross_val_rules_ PRIMARY KEY (ENTERPRISE_ID, STRUCTURE_INSTANCE_ID, RULE_CODE, LAST_UPDATE_DATE, LAST_UPDATED_BY, ENTERPRISE_ID, STRUCTURE_INSTANCE_ID, RULE_CODE, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
